MongoDB PHP Extension 1.12.0 Released

The PHP team is happy to announce that version 1.12.0 of the mongodb PHP extension is now available on PECL.

Release Highlights

Building upon work done in the previous 1.11.0 release, this release completes compatibility with PHP 8.1.0. Classes with __toString() methods now specify a string return type and implement Stringable for PHP 8.0+. Interfaces with __toString() methods now specify tentative return type info.

This release adds support for KMIP keystores when using client-side field level encryption. Additionally, TLS options may now be specified when configuring a keystore. These improvements apply to both the autoEncryption driver option for MongoDB\Driver\Manager::__construct() and
Manager::createClientEncryption() method.

This release upgrades our libbson and libmongoc dependencies to 1.20.0. The libmongocrypt dependency has been upgraded to 1.3.0. Support for PHP 7.1 has been removed and the extension now requires PHP 7.2 or newer.

A complete list of resolved issues in this release may be found at: https://jira.mongodb.org/secure/ReleaseNote.jspa?projectId=12484&version=31694

Documentation

Documentation is available on PHP.net:
http://php.net/set.mongodb

Installation

You can either download and install the source manually, or you can install the extension with:

pecl install mongodb-1.12.0

or update with:

pecl upgrade mongodb-1.12.0

Windows binaries are available on PECL:
http://pecl.php.net/package/mongodb

1 Like

On PECL :: Package :: mongodb 1.12.0 for Windows there is no PHP 8.1 binaries yet for Windows.
Supposedly version 1.12.0 is the official first version that supports PHP 8.1, but nowhere can I find an explanation for the missing binaries

Apologies for the delayed response. It appears that DLL files for PHP 8.1 are now available. For some information as to why there were not previously available, please see this comment in PHPC-1850.

1 Like